Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1201)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1202)
@@ -4532,5 +4532,4 @@
   printf("ENCODER_FAST_MODE: %d ", ENCODER_FAST_MODE);
   printf("REF_IDX_MFM: %d ", REF_IDX_MFM);
-  printf("O0194_JOINT_US_BITSHIFT: %d ", O0194_JOINT_US_BITSHIFT);
 #else
   printf("RecalQP:%d", m_recalculateQPAccordingToLambda ? 1 : 0 );
Index: branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 1201)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 1202)
@@ -58,8 +58,6 @@
   Int i, j;
 
-#if O0194_JOINT_US_BITSHIFT
   UInt currLayerId = currSlice->getLayerId();
   UInt refLayerId  = currSlice->getVPS()->getRefLayerId( currLayerId, refLayerIdc );
-#endif
 
   const Window &scalEL = currSlice->getPPS()->getScaledRefLayerWindowForLayer(refLayerId);
@@ -117,6 +115,6 @@
     piDstY = piDstBufY + scalEL.getWindowLeftOffset() + scalEL.getWindowTopOffset() * strideEL;
 
-#if O0194_JOINT_US_BITSHIFT
     Int shift = g_bitDepthLayer[CHANNEL_TYPE_LUMA][currLayerId] - g_bitDepthLayer[CHANNEL_TYPE_LUMA][refLayerId];
+
 #if Q0048_CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
@@ -126,16 +124,12 @@
     assert( shift >= 0 );
 #endif
-#endif
 
     for( i = 0; i < heightBL; i++ )
     {
-#if O0194_JOINT_US_BITSHIFT
       for( j = 0; j < widthBL; j++ )
       {
         piDstY[j] = piSrcY[j] << shift;
       }
-#else
-      memcpy( piDstY, piSrcY, sizeof(Pel) * widthBL );
-#endif
+
       piSrcY += strideBL;
       piDstY += strideEL;
@@ -157,6 +151,6 @@
     piDstV = piDstBufV + ( scalEL.getWindowLeftOffset() >> 1 ) + ( scalEL.getWindowTopOffset() >> 1 ) * strideEL;
 
-#if O0194_JOINT_US_BITSHIFT
     shift = g_bitDepthLayer[CHANNEL_TYPE_CHROMA][currLayerId] - g_bitDepthLayer[CHANNEL_TYPE_CHROMA][refLayerId];
+
 #if Q0048_CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
@@ -165,9 +159,7 @@
     }
 #endif
-#endif
 
     for( i = 0; i < heightBL; i++ )
     {
-#if O0194_JOINT_US_BITSHIFT
       for( j = 0; j < widthBL; j++ )
       {
@@ -175,8 +167,5 @@
         piDstV[j] = piSrcV[j] << shift;
       }
-#else
-      memcpy( piDstU, piSrcU, sizeof(Pel) * widthBL );
-      memcpy( piDstV, piSrcV, sizeof(Pel) * widthBL );
-#endif
+
       piSrcU += strideBL;
       piSrcV += strideBL;
@@ -229,7 +218,7 @@
     Int rlClipB = heightBL - 1 + (NTAPS_US_LUMA>>1);
 
-#if O0194_JOINT_US_BITSHIFT
     // g_bitDepthY was set to EL bit-depth, but shift1 should be calculated using BL bit-depth
     Int shift1 = g_bitDepthLayer[CHANNEL_TYPE_LUMA][refLayerId] - 8;
+
 #if Q0048_CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
@@ -237,7 +226,4 @@
       shift1 = currSlice->getPPS()->getCGSOutputBitDepthY() - 8;
     }
-#endif
-#else
-    Int shift1 = g_bitDepthY - 8;
 #endif
 
@@ -269,9 +255,6 @@
     pcTempPic->setHeight(heightEL);
 
-#if O0194_JOINT_US_BITSHIFT
     Int nShift = 20 - g_bitDepthLayer[CHANNEL_TYPE_LUMA][currLayerId];
-#else
-    Int nShift = US_FILTER_PREC*2 - shift1;
-#endif
+
     Int iOffset = 1 << (nShift - 1);
 
@@ -337,7 +320,7 @@
     heightBL  = min<Int>( pcBasePic->getHeight(COMPONENT_Y) >> 1, heightEL );
 
-#if O0194_JOINT_US_BITSHIFT
     // g_bitDepthC was set to EL bit-depth, but shift1 should be calculated using BL bit-depth
     shift1 = g_bitDepthLayer[CHANNEL_TYPE_CHROMA][refLayerId] - 8;
+
 #if Q0048_CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
@@ -345,7 +328,4 @@
       shift1 = currSlice->getPPS()->getCGSOutputBitDepthC() - 8;
     }
-#endif
-#else
-    shift1 = g_bitDepthC - 8;
 #endif
 
@@ -383,9 +363,6 @@
     pcTempPic->setHeight(heightEL << 1);
 
-#if O0194_JOINT_US_BITSHIFT
     nShift = 20 - g_bitDepthLayer[CHANNEL_TYPE_CHROMA][currLayerId];
-#else
-    nShift = US_FILTER_PREC*2 - shift1;
-#endif
+
     iOffset = 1 << (nShift - 1);
 
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1201)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1202)
@@ -58,5 +58,4 @@
 #define O0164_MULTI_LAYER_HRD            1      ///< JCTVC-O0164: Multi-layer HRD operation
 
-#define O0194_JOINT_US_BITSHIFT          1      ///< JCTVC-O0194: Joint Upsampling and bit-shift
 #define Q0048_CGS_3D_ASYMLUT             1      ///< JCTVC-Q0048: Colour gamut scalability with look-up table
 #if Q0048_CGS_3D_ASYMLUT
Index: branches/SHM-dev/source/Lib/TLibEncoder/WeightPredAnalysis.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/WeightPredAnalysis.cpp	(revision 1201)
+++ branches/SHM-dev/source/Lib/TLibEncoder/WeightPredAnalysis.cpp	(revision 1202)
@@ -271,8 +271,8 @@
         {
           refAC = ( refAC * currWeightACDCParam[comp].iSamples ) /refWeightACDCParam[comp].iSamples;
-#if O0194_JOINT_US_BITSHIFT
+
+          // jonint upsampling bitshift
           refAC <<= (g_bitDepthLayer[CHANNEL_TYPE_LUMA][currLayerId] - g_bitDepthLayer[CHANNEL_TYPE_LUMA][refLayerId]);
           refDC <<= (g_bitDepthLayer[CHANNEL_TYPE_LUMA][currLayerId] - g_bitDepthLayer[CHANNEL_TYPE_LUMA][refLayerId]);
-#endif
         }
 #else