Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1200)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1203)
@@ -738,5 +738,5 @@
   {
     Window &conf = pcSPS->getConformanceWindow();
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
     READ_UVLC(   uiCode, "conf_win_left_offset" );               conf.setWindowLeftOffset  ( uiCode );
     READ_UVLC(   uiCode, "conf_win_right_offset" );              conf.setWindowRightOffset ( uiCode );
@@ -1188,5 +1188,5 @@
     pcSlice->setDependentSliceSegmentFlag(false);
   }
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
   Int numCTUs = ((pcSlice->getPicWidthInLumaSamples()+sps->getMaxCUWidth()-1)/sps->getMaxCUWidth())*((pcSlice->getPicHeightInLumaSamples()+sps->getMaxCUHeight()-1)/sps->getMaxCUHeight());
 #else
@@ -1789,5 +1789,5 @@
     pcSlice->setSliceQp (26 + pps->getPicInitQPMinus26() + iCode);
 
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
     g_bitDepthLayer[CHANNEL_TYPE_LUMA][pcSlice->getLayerId()] = pcSlice->getBitDepthY();
     g_bitDepthLayer[CHANNEL_TYPE_CHROMA][pcSlice->getLayerId()] = pcSlice->getBitDepthC();
@@ -2336,5 +2336,5 @@
 #endif
 
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
   Int qpBdOffsetY = pcCU->getSlice()->getQpBDOffsetY();
 #else
@@ -2957,5 +2957,4 @@
   vps->checkNecessaryLayerFlagCondition();  
 
-#if REPN_FORMAT_IN_VPS
   READ_UVLC( uiCode, "vps_num_rep_formats_minus1" );
   vps->setVpsNumRepFormats( uiCode + 1 );
@@ -3005,5 +3004,4 @@
     }
   }
-#endif
 
   READ_FLAG(uiCode, "max_one_active_ref_layer_flag" );
@@ -3183,5 +3181,4 @@
 }
 
-#if REPN_FORMAT_IN_VPS
 Void  TDecCavlc::parseRepFormat( RepFormat *repFormat, RepFormat *repFormatPrev )
 {
@@ -3235,5 +3232,5 @@
   }
 }
-#endif //REPN_FORMAT_IN_VPS
+
 #if VPS_DPB_SIZE_TABLE
 Void TDecCavlc::parseVpsDpbSizeTable( TComVPS *vps )
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1200)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1203)
@@ -132,7 +132,5 @@
   Void  parseVPSVUI         ( TComVPS* pcVPS );
   Void  defaultVPSVUI       ( TComVPS* pcVPS );
-#if REPN_FORMAT_IN_VPS
   Void  parseRepFormat      ( RepFormat *repFormat, RepFormat *repFormatPrev );
-#endif
 #if VPS_DPB_SIZE_TABLE
   Void  parseVpsDpbSizeTable( TComVPS *vps );
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1200)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1203)
@@ -222,5 +222,6 @@
 
   TComSlice * pcSlice = pcCU->getPic()->getSlice(pcCU->getPic()->getCurrSliceIdx());
-#if REPN_FORMAT_IN_VPS
+
+#if SVC_EXTENSION
   if( ( uiRPelX < pcSlice->getPicWidthInLumaSamples() ) && ( uiBPelY < pcSlice->getPicHeightInLumaSamples() ) )
 #else
@@ -254,5 +255,5 @@
       uiTPelY   = pcCU->getCUPelY() + g_auiRasterToPelY[ g_auiZscanToRaster[uiIdx] ];
 
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
       if ( !isLastCtuOfSliceSegment && ( uiLPelX < pcCU->getSlice()->getPicWidthInLumaSamples() ) && ( uiTPelY < pcCU->getSlice()->getPicHeightInLumaSamples() ) )
 #else
@@ -406,7 +407,6 @@
   TComSlice * pcSlice = pCtu->getPic()->getSlice(pCtu->getPic()->getCurrSliceIdx());
 
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
   if( ( uiRPelX >= pcSlice->getPicWidthInLumaSamples() ) || ( uiBPelY >= pcSlice->getPicHeightInLumaSamples() ) )
-
 #else
   if( ( uiRPelX >= pcSlice->getSPS()->getPicWidthInLumaSamples() ) || ( uiBPelY >= pcSlice->getSPS()->getPicHeightInLumaSamples() ) )
@@ -426,5 +426,5 @@
       uiTPelY = pCtu->getCUPelY() + g_auiRasterToPelY[ g_auiZscanToRaster[uiIdx] ];
 
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
       if( ( uiLPelX < pcSlice->getPicWidthInLumaSamples() ) && ( uiTPelY < pcSlice->getPicHeightInLumaSamples() ) )
 #else
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1200)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1203)
@@ -946,5 +946,5 @@
   {
     UInt uiSign;
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
     Int qpBdOffsetY = pcCU->getSlice()->getQpBDOffsetY();
 #else
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1200)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1203)
@@ -288,12 +288,6 @@
     }
 
-#if REPN_FORMAT_IN_VPS
     rpcPic->create ( pcSlice->getPicWidthInLumaSamples(), pcSlice->getPicHeightInLumaSamples(), pcSlice->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth, 
                      conformanceWindow, defaultDisplayWindow, numReorderPics, pcSlice->getSPS(), true);
-#else
-    rpcPic->create ( pcSlice->getSPS()->getPicWidthInLumaSamples(), pcSlice->getSPS()->getPicHeightInLumaSamples(), pcSlice->getSPS()->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth, 
-                     conformanceWindow, defaultDisplayWindow, numReorderPics, pcSlice->getSPS(), true);
-#endif
-
 #else //SVC_EXTENSION
     rpcPic->create ( pcSlice->getSPS()->getPicWidthInLumaSamples(), pcSlice->getSPS()->getPicHeightInLumaSamples(), pcSlice->getSPS()->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth,
@@ -345,11 +339,6 @@
   }
 
-#if REPN_FORMAT_IN_VPS
   rpcPic->create ( pcSlice->getPicWidthInLumaSamples(), pcSlice->getPicHeightInLumaSamples(), pcSlice->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth,
                    conformanceWindow, defaultDisplayWindow, numReorderPics, pcSlice->getSPS(), true);
-#else
-  rpcPic->create ( pcSlice->getSPS()->getPicWidthInLumaSamples(), pcSlice->getSPS()->getPicHeightInLumaSamples(), pcSlice->getSPS()->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth,
-                   conformanceWindow, defaultDisplayWindow, numReorderPics, pcSlice->getSPS(), true);
-#endif
 #else  //SVC_EXTENSION
   rpcPic->create ( pcSlice->getSPS()->getPicWidthInLumaSamples(), pcSlice->getSPS()->getPicHeightInLumaSamples(), pcSlice->getSPS()->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth,
@@ -652,5 +641,5 @@
   for (UInt channel = 0; channel < MAX_NUM_CHANNEL_TYPE; channel++)
   {
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
     g_bitDepth[channel] = isLuma(ChannelType(channel)) ? m_apcSlicePilot->getBitDepthY() : m_apcSlicePilot->getBitDepthC();
 #else
@@ -677,5 +666,5 @@
 
   m_cSAO.destroy();
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
   m_cSAO.create( m_apcSlicePilot->getPicWidthInLumaSamples(), m_apcSlicePilot->getPicHeightInLumaSamples(), sps->getChromaFormatIdc(), sps->getMaxCUWidth(), sps->getMaxCUHeight(), sps->getMaxCUDepth(), pps->getSaoOffsetBitShift(CHANNEL_TYPE_LUMA), pps->getSaoOffsetBitShift(CHANNEL_TYPE_CHROMA) );
 #else
@@ -1205,5 +1194,5 @@
   xActivateParameterSets();
 
-#if REPN_FORMAT_IN_VPS
+#if SVC_EXTENSION
   // Initialize ILRP if needed, only for the current layer  
   // ILRP intialization should go along with activation of parameters sets, 
@@ -1211,4 +1200,5 @@
   xInitILRP(m_apcSlicePilot);
 #endif
+
   if (!m_apcSlicePilot->getDependentSliceSegmentFlag()) 
   {
@@ -2284,11 +2274,6 @@
 
 #if SVC_EXTENSION
-#if !REPN_FORMAT_IN_VPS
-Void TDecTop::xInitILRP(TComSPS *pcSPS)
-#else
 Void TDecTop::xInitILRP(TComSlice *slice)
-#endif
-{
-#if REPN_FORMAT_IN_VPS
+{
   TComSPS* pcSPS = slice->getSPS();
   Int bitDepthY   = slice->getBitDepthY();
@@ -2296,14 +2281,10 @@
   Int picWidth    = slice->getPicWidthInLumaSamples();
   Int picHeight   = slice->getPicHeightInLumaSamples();
-#endif
-  if(m_layerId>0)
-  {
-#if REPN_FORMAT_IN_VPS
+
+  if( m_layerId > 0 )
+  {
+
     g_bitDepth[CHANNEL_TYPE_LUMA]     = bitDepthY;
     g_bitDepth[CHANNEL_TYPE_CHROMA]   = bitDepthC;
-#else
-    g_bitDepth[CHANNEL_TYPE_LUMA]     = pcSPS->getBitDepthY();
-    g_bitDepth[CHANNEL_TYPE_CHROMA]   = pcSPS->getBitDepthC();
-#endif
     g_uiMaxCUWidth  = pcSPS->getMaxCUWidth();
     g_uiMaxCUHeight = pcSPS->getMaxCUHeight();
@@ -2338,15 +2319,7 @@
 
 #if AUXILIARY_PICTURES
-#if REPN_FORMAT_IN_VPS
         m_cIlpPic[j]->create(picWidth, picHeight, slice->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth, conformanceWindow, defaultDisplayWindow, numReorderPics, pcSPS, true);
 #else
-        m_cIlpPic[j]->create(pcSPS->getPicWidthInLumaSamples(), pcSPS->getPicHeightInLumaSamples(), pcSPS->getChromaFormatIdc(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth, conformanceWindow, defaultDisplayWindow, numReorderPics, pcSPS, true);
-#endif
-#else
-#if REPN_FORMAT_IN_VPS
         m_cIlpPic[j]->create(picWidth, picHeight, g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth, conformanceWindow, defaultDisplayWindow, numReorderPics, pcSPS, true);
-#else
-        m_cIlpPic[j]->create(pcSPS->getPicWidthInLumaSamples(), pcSPS->getPicHeightInLumaSamples(), g_uiMaxCUWidth, g_uiMaxCUHeight, g_uiMaxCUDepth, conformanceWindow, defaultDisplayWindow, numReorderPics, pcSPS, true);
-#endif
 #endif
         for (Int i=0; i<m_cIlpPic[j]->getPicSym()->getNumberOfCtusInFrame(); i++)
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1200)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1203)
@@ -136,8 +136,4 @@
 #if AVC_BASE
   fstream*                m_pBLReconFile;
-#if !REPN_FORMAT_IN_VPS
-  Int                     m_iBLSourceWidth;
-  Int                     m_iBLSourceHeight;
-#endif
 #endif
 
@@ -258,15 +254,6 @@
   Void      setBLReconFile( fstream* pFile )                                { m_pBLReconFile = pFile; }
   fstream*  getBLReconFile()                                                { return m_pBLReconFile;  }
-#if !REPN_FORMAT_IN_VPS
-  Void      setBLsize( Int iWidth, Int iHeight ) { m_iBLSourceWidth = iWidth; m_iBLSourceHeight = iHeight; }
-  Int       getBLWidth() { return  m_iBLSourceWidth; }
-  Int       getBLHeight() { return  m_iBLSourceHeight; }
-#endif
-#endif
-#if REPN_FORMAT_IN_VPS
+#endif
   Void      xInitILRP(TComSlice *slice);
-#else
-  Void      xInitILRP(TComSPS *pcSPS);
-#endif
   CommonDecoderParams*    getCommonDecoderParams()                          { return m_commonDecoderParams; }
   Void                    setCommonDecoderParams(CommonDecoderParams* x)    { m_commonDecoderParams = x;    }