Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1203)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1204)
@@ -2313,5 +2313,4 @@
   Bool     isRASL()   { return (m_eNalUnitType == NAL_UNIT_CODED_SLICE_RASL_N || m_eNalUnitType == NAL_UNIT_CODED_SLICE_RASL_R); }
 
-#if POC_RESET_RESTRICTIONS
   Bool     isIDR()    { return (m_eNalUnitType == NAL_UNIT_CODED_SLICE_IDR_W_RADL
                                   || m_eNalUnitType == NAL_UNIT_CODED_SLICE_IDR_N_LP); }
@@ -2328,5 +2327,5 @@
                                   || m_eNalUnitType == NAL_UNIT_RESERVED_VCL_N12
                                   || m_eNalUnitType == NAL_UNIT_RESERVED_VCL_N14 ); }
-#endif
+
   Bool      getDiscardableFlag  ()                           { return m_bDiscardableFlag;    }
   Void      setDiscardableFlag  (Bool b)                     { m_bDiscardableFlag = b;       }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1203)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1204)
@@ -46,5 +46,4 @@
 #define MAX_LAYERS                       8      ///< max number of layers the codec is supposed to handle
 #define CONFORMANCE_BITSTREAM_MODE       1      ///< In order to generate the metadata related to conformance bitstreams
-#define POC_RESET_RESTRICTIONS           1      ///< Restrictions on semantics of POC reset-related syntax elements, including one item from R0223
 #define POC_RESET_VALUE_RESTRICTION      1      ///< R0223: Restriction on the value of full_poc_reset_flag
 #define BSP_INIT_ARRIVAL_SEI             1      ///< JCTVC-R0231: Make signalling of vcl_initial_arrival_delay independent of NalHrdBpPresentFlag
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1203)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1204)
@@ -1916,5 +1916,5 @@
     {
       READ_CODE( 2, uiCode,       "poc_reset_idc"); pcSlice->setPocResetIdc(uiCode);
-#if POC_RESET_RESTRICTIONS
+
       /* The value of poc_reset_idc shall not be equal to 1 or 2 for a RASL picture, a RADL picture, 
       a sub-layer non-reference picture, or a picture that has TemporalId greater than 0, 
@@ -1934,5 +1934,4 @@
         assert( ! ( pcSlice->isCRA() || pcSlice->isBLA() ) );
       }
-#endif
     }
     else
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1203)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1204)
@@ -46,5 +46,4 @@
 UInt  TDecTop::m_uiPrevLayerId = MAX_UINT;
 Bool  TDecTop::m_bFirstSliceInSequence = true;
-#if POC_RESET_RESTRICTIONS
 Bool  TDecTop::m_checkPocRestrictionsForCurrAu       = false;
 Int   TDecTop::m_pocResetIdcOrCurrAu                 = -1;
@@ -56,5 +55,4 @@
 Bool  TDecTop::m_picNonIdrWithRadlPresentFlag        = false;
 Bool  TDecTop::m_picNonIdrNoLpPresentFlag            = false;
-#endif
 #if POC_RESET_VALUE_RESTRICTION
 Int   TDecTop::m_crossLayerPocResetPeriodId          = -1;
@@ -121,7 +119,5 @@
 #endif
 
-#if POC_RESET_RESTRICTIONS
   resetPocRestrictionCheckParameters();
-#endif
   m_pocResettingFlag        = false;
   m_pocDecrementedInDPBFlag = false;
@@ -712,5 +708,5 @@
 
   m_apcSlicePilot->setNalUnitType(nalu.m_nalUnitType);
-#if POC_RESET_RESTRICTIONS
+#if SVC_EXTENSION
   m_apcSlicePilot->setTLayer( nalu.m_temporalId );
 #endif
@@ -889,8 +885,7 @@
     if(( m_layerId < m_uiPrevLayerId) ||( ( m_layerId == m_uiPrevLayerId) && bNewPOC)) // Decoding a lower layer than or same layer as previous - mark all earlier pictures as not in current AU
     {
-#if POC_RESET_RESTRICTIONS
       // New access unit; reset all variables related to POC reset restrictions
       resetPocRestrictionCheckParameters();
-#endif
+
       markAllPicsAsNoCurrAu(m_apcSlicePilot->getVPS());
 
@@ -1424,5 +1419,5 @@
 #if POC_RESET_IDC_DECODER
     m_pcPic->setCurrAuFlag( true );
-#if POC_RESET_RESTRICTIONS
+
     if( m_pcPic->getLayerId() > 0 && m_apcSlicePilot->isIDR() && !m_nonBaseIdrPresentFlag )
     {
@@ -1507,5 +1502,4 @@
       }
     }
-#endif
 #endif
 
@@ -2506,5 +2500,5 @@
 }
 #endif
-#if POC_RESET_RESTRICTIONS
+
 Void TDecTop::resetPocRestrictionCheckParameters()
 {
@@ -2519,5 +2513,4 @@
   TDecTop::m_picNonIdrNoLpPresentFlag            = false;
 }
-#endif
 
 Void TDecTop::xCheckLayerReset()
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1203)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1204)
@@ -164,5 +164,4 @@
 public:
 #if SVC_EXTENSION
-#if POC_RESET_RESTRICTIONS
   static Bool                    m_checkPocRestrictionsForCurrAu;
   static Int                     m_pocResetIdcOrCurrAu;
@@ -174,5 +173,4 @@
   static Bool                    m_picNonIdrWithRadlPresentFlag;
   static Bool                    m_picNonIdrNoLpPresentFlag;
-#endif
 #if POC_RESET_VALUE_RESTRICTION
   static Int                     m_crossLayerPocResetPeriodId;
@@ -301,7 +299,5 @@
   Void initAsymLut(TComSlice *pcSlice);
 #endif
-#if POC_RESET_RESTRICTIONS
   Void resetPocRestrictionCheckParameters();
-#endif
   Void xCheckLayerReset();
   Void xSetNoRaslOutputFlag();