Index: branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1202)
+++ branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1207)
@@ -56,7 +56,7 @@
 DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
 
-DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_3             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_1             : 6           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_2             : 2 0         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_3             : 2 6         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
 
 #========== Camera parameters ==========
@@ -79,11 +79,11 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
 
 #=========== Motion Search =============
Index: branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg
===================================================================
--- branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1202)
+++ branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1207)
@@ -35,5 +35,5 @@
 
 #======== VPS / PTLI ================
-Profile                       : main main multiview-main   # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Profile                       : main main 3d-main          # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
 Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
 Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
@@ -67,7 +67,7 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             0
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             0
 
 #=========== Motion Search =============
Index: branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1202)
+++ branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1207)
@@ -68,9 +68,9 @@
 DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
 
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
-DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_1             : 6           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_2             : 2 0         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_3             : 2 6         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_4             : 2 0         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
+DependencyTypes_5             : 2 6         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion 6: Sample+Motion+Quadtree
 
 #========== Camera parameters ==========
@@ -94,15 +94,16 @@
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+
 
 #=========== Motion Search =============
Index: branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg
===================================================================
--- branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1202)
+++ branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1207)
@@ -78,9 +78,9 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0            0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0            0
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0            0
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0            0
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0            0
 
 #=========== Motion Search =============
Index: branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg
===================================================================
--- branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1202)
+++ branches/HTM-14.1-update-dev0/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1207)
@@ -4,15 +4,15 @@
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0
-FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0
-Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0   0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0   1             
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
+Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
 
 Frame2:   
Index: branches/HTM-14.1-update-dev0/cfg/3D-HEVC/deltaCfg_3view.cfg
===================================================================
--- branches/HTM-14.1-update-dev0/cfg/3D-HEVC/deltaCfg_3view.cfg	(revision 1202)
+++ branches/HTM-14.1-update-dev0/cfg/3D-HEVC/deltaCfg_3view.cfg	(revision 1207)
@@ -16,4 +16,5 @@
 DimensionIdLen                : 3           # Number of bits to store Ids,  per scalability dimension, (m)
 ViewOrderIndex                : 0 1 2       # ViewOrderIndex, per layer (m)
+DepthFlag                     : 0 0 0
 
 VpsNumLayerSets               : 4            # Number of layer sets    
@@ -45,13 +46,24 @@
 
     
-FrameI_l1:  P    0     3     0.442    0        0        0        1      0                        0                                  1          0         0          -1        1
-Frame1_l1:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                  1          0         1          -1        1
-Frame2_l1:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1       4    5     1 1 0 0 1       1          0         1          -1        1
-Frame3_l1:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1       2    4     1 1 1 1         1          0         1          -1        1
-Frame4_l1:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1       1    5     1 0 1 1 1       1          0         1          -1        1
-Frame5_l1:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1      -2    5     1 1 1 1 0       1          0         2          -1        1
-Frame6_l1:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1      -3    5     1 1 1 1 0       1          0         2          -1        1
-Frame7_l1:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1       1    5     1 0 1 1 1       1          0         2          -1        1
-Frame8_l1:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1      -2    5     1 1 1 1 0       1          0         2          -1        1
+FrameI_l1:  P    0     3     0.442    0        0        0        1      0                        0                                  1          0         0          -1        0
+Frame1_l1:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                  1          0         1          -1        0
+Frame2_l1:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1       4    5     1 1 0 0 1       1          0         1          -1        0
+Frame3_l1:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1       2    4     1 1 1 1         1          0         1          -1        0
+Frame4_l1:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1       1    5     1 0 1 1 1       1          0         1          -1        0
+Frame5_l1:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1      -2    5     1 1 1 1 0       1          0         2          -1        0
+Frame6_l1:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1      -3    5     1 1 1 1 0       1          0         2          -1        0
+Frame7_l1:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1       1    5     1 0 1 1 1       1          0         2          -1        0
+Frame8_l1:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1      -2    5     1 1 1 1 0       1          0         2          -1        0
+
+FrameI_l2:  P    0     3     0.442    0        0        0        1      0                        0                                  1          0         0          -1          0
+Frame1_l2:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                  1          0         1          -1          0
+Frame2_l2:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1       4    5     1 1 0 0 1       1          0         1          -1          0
+Frame3_l2:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1       2    4     1 1 1 1         1          0         1          -1          0
+Frame4_l2:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1       1    5     1 0 1 1 1       1          0         1          -1          0
+Frame5_l2:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1      -2    5     1 1 1 1 0       1          0         2          -1          0
+Frame6_l2:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1      -3    5     1 1 1 1 0       1          0         2          -1          0
+Frame7_l2:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1       1    5     1 0 1 1 1       1          0         2          -1          0
+Frame8_l2:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1      -2    5     1 1 1 1 0       1          0         2          -1          0
+
 
 FrameI_l3:  
@@ -88,5 +100,19 @@
 SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON) (mc)
 DepthRefinementFlag                 : 0                # Disparity refined by depth DoNBDV
+ViewSynthesisPredFlag         : 0           # Disparity refined by depth DoNBDV
 Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+IvMvPredFlag                  : 1           # Inter-view motion prediction
 DepthBasedBlkPartFlag               : 0                # Depth-based Block Partitioning
+IntraWedgeFlag                : 0
+IntraContourFlag              : 0           # use of intra-view prediction mode
+IntraSdcFlag                  : 0
+DLT                           : 0
+QTL                           : 0
+QtPredFlag                    : 0
+InterSdcFlag                  : 0           # use of inter sdc
+MpiFlag                       : 0
+DepthIntraSkip                : 0     
+VSO                           : 0
 
+
+