Index: /branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1207)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1208)
@@ -353,5 +353,4 @@
 #endif
 
-#if MFM_ENCCONSTRAINT
 Bool TComPic::checkSameRefInfo()
 {
@@ -393,5 +392,4 @@
   return( bSameRefInfo );  
 }
-#endif
 #endif //SVC_EXTENSION
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComPic.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComPic.h	(revision 1207)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComPic.h	(revision 1208)
@@ -214,7 +214,5 @@
   Void          initUpsampledMvField  ();
 #endif
-#if MFM_ENCCONSTRAINT
   Bool          checkSameRefInfo();
-#endif
   Void          copyUpsampledPictureYuv(TComPicYuv*   pcPicYuvIn, TComPicYuv*   pcPicYuvOut); 
 #if Q0048_CGS_3D_ASYMLUT
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1207)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1208)
@@ -3709,10 +3709,8 @@
 }
 
-#if MFM_ENCCONSTRAINT
 TComPic* TComSlice::getBaseColPic(  TComList<TComPic*>& rcListPic )
 {
   return xGetRefPic( rcListPic, m_iPOC );
 }
-#endif
 
 Void TComSlice::setILRPic(TComPic **pcIlpPic)
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1207)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1208)
@@ -2276,7 +2276,5 @@
   TComPic*  getBaseColPic       (UInt refLayerIdc)                { return m_pcBaseColPic[refLayerIdc]; }
   TComPic** getBaseColPic       ()                                { return &m_pcBaseColPic[0];          }
-#if MFM_ENCCONSTRAINT
   TComPic*  getBaseColPic( TComList<TComPic*>& rcListPic );
-#endif
 
   Void      setLayerId (UInt layerId)   { m_layerId = layerId; }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1207)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1208)
@@ -101,5 +101,4 @@
 
 /// normative encoder constraints --------
-#define MFM_ENCCONSTRAINT                1      ///< JCTVC-O0216: Encoder constraint for motion field mapping
 #define REF_IDX_ME_ZEROMV                1      ///< JCTVC-L0051: use zero motion for inter-layer reference picture (without fractional ME)
 
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1207)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1208)
@@ -1759,5 +1759,6 @@
       pcSlice->setRefPicList( m_cListPic, false, NULL);
     }
-#if MFM_ENCCONSTRAINT
+
+    // motion field mapping constraint
     if( pcSlice->getMFMEnabledFlag() )
     {
@@ -1774,5 +1775,4 @@
       }
     }
-#endif
 #endif
     
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1207)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1208)
@@ -1936,9 +1936,6 @@
           // It is a requirement of bitstream conformance when the collocated picture, used for temporal motion vector prediction, is an inter-layer reference picture, 
           // VpsInterLayerMotionPredictionEnabled[ LayerIdxInVps[ currLayerId ] ][ LayerIdxInVps[ rLId ] ] shall be equal to 1, where rLId is set equal to nuh_layer_id of the inter-layer picture.
-          if( refPic->isILR(m_layerId) && pcSlice->getVPS()->isMotionPredictionType( pcSlice->getVPS()->getLayerIdxInVps(m_layerId), refPic->getLayerIdx() )
-#if MFM_ENCCONSTRAINT
-            && pcSlice->getBaseColPic( *m_ppcTEncTop[refPic->getLayerIdx()]->getListPic() )->checkSameRefInfo() == true 
-#endif
-            ) 
+          if( refPic->isILR(m_layerId) && pcSlice->getVPS()->isMotionPredictionType( pcSlice->getVPS()->getLayerIdxInVps(m_layerId), refPic->getLayerIdx() )            
+            && pcSlice->getBaseColPic( *m_ppcTEncTop[refPic->getLayerIdx()]->getListPic() )->checkSameRefInfo() == true ) 
           { 
             ColRefIdx = colIdx; 
@@ -1959,8 +1956,5 @@
             // VpsInterLayerMotionPredictionEnabled[ LayerIdxInVps[ currLayerId ] ][ LayerIdxInVps[ rLId ] ] shall be equal to 1, where rLId is set equal to nuh_layer_id of the inter-layer picture.
             if( refPic->isILR(m_layerId) && pcSlice->getVPS()->isMotionPredictionType( pcSlice->getVPS()->getLayerIdxInVps(m_layerId), refPic->getLayerIdx() )
-#if MFM_ENCCONSTRAINT
-              && pcSlice->getBaseColPic( *m_ppcTEncTop[refPic->getLayerIdx()]->getListPic() )->checkSameRefInfo() == true 
-#endif
-              ) 
+              && pcSlice->getBaseColPic( *m_ppcTEncTop[refPic->getLayerIdx()]->getListPic() )->checkSameRefInfo() == true ) 
             { 
               ColRefIdx = colIdx; 