Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1209)
@@ -134,7 +134,5 @@
 , m_pocMsbValPresentFlag          ( false )
 , m_pocMsbValNeeded               ( false )
-#if POC_RESET_IDC_DECODER || POC_RESET_IDC_ENCODER
 , m_picOrderCntLsb (0)
-#endif
 #endif //SVC_EXTENSION
 {
@@ -197,4 +195,5 @@
   m_activeNumILRRefIdx        = 0;
   m_interLayerPredEnabledFlag = 0;
+  m_picOrderCntLsb = 0;
 #endif
 
@@ -226,7 +225,4 @@
   m_pocMsbValRequiredFlag         = false;
   m_pocMsbValPresentFlag          = false;
-#if POC_RESET_IDC_DECODER || POC_RESET_IDC_ENCODER
-  m_picOrderCntLsb = 0;
-#endif
   m_pocMsbValNeeded  = false;
   m_pocResetDeltaPoc = 0;
@@ -287,6 +283,6 @@
   while ( iterPic != rcListPic.end() )
   {
-#if POC_RESET_IDC_ENCODER
-    if( (pcPic->getPOC() == poc) && (pcPic->getSlice(0)->isReferenced()) )
+#if SVC_EXTENSION
+    if( pcPic->getPOC() == poc && pcPic->getSlice(0)->isReferenced() )
 #else
     if(pcPic->getPOC() == poc)
@@ -886,6 +882,5 @@
       rpcPic->setCurrSliceIdx(0);
 #if NO_CLRAS_OUTPUT_FLAG
-#if POC_RESET_IDC_ENCODER
-      if (noClrasOutputFlag)
+      if( noClrasOutputFlag )
       {
         rpcPic->getSlice(0)->setReferenced(false);  // all layers // TODO. This does not mark all layers
@@ -893,16 +888,9 @@
       else
       {
-        if (rpcPic->getLayerId() == m_layerId) rpcPic->getSlice(0)->setReferenced(false);  // only current layer
-      }
-#else
-      if (noClrasOutputFlag)
-      {
-        if (rpcPic->getPOC() != pocCurr) rpcPic->getSlice(0)->setReferenced(false);  // all layers
-      }
-      else
-      {
-        if (rpcPic->getPOC() != pocCurr && rpcPic->getLayerId() == m_layerId) rpcPic->getSlice(0)->setReferenced(false);  // only current layer
-      }
-#endif
+        if( rpcPic->getLayerId() == m_layerId )
+        {
+          rpcPic->getSlice(0)->setReferenced(false);  // only current layer
+        }
+      }
 #else
       if (rpcPic->getPOC() != pocCurr) rpcPic->getSlice(0)->setReferenced(false);
@@ -910,7 +898,9 @@
       iterPic++;
     }
-#if POC_RESET_IDC_ENCODER
-    this->getPic()->getSlice(0)->setReferenced(true);   // Mark the current picture back as refererced.
-#endif
+
+#if SVC_EXTENSION
+    m_pcPic->getSlice(0)->setReferenced(true);   // Mark the current picture back as refererced.
+#endif
+
     if ( getNalUnitType() == NAL_UNIT_CODED_SLICE_BLA_W_LP
       || getNalUnitType() == NAL_UNIT_CODED_SLICE_BLA_W_RADL
@@ -1141,5 +1131,5 @@
 }
 
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
 Void TComSlice::checkLeadingPictureRestrictions(TComList<TComPic*>& rcListPic, Bool usePocBeforeReset)
 #else
@@ -1230,5 +1220,5 @@
          nalUnitType == NAL_UNIT_CODED_SLICE_IDR_W_RADL)
       {
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
         if( usePocBeforeReset )
         {
@@ -1259,5 +1249,5 @@
           if(this->getAssociatedIRAPPOC() != rpcPic->getPOC())
           {
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
             if( usePocBeforeReset )
             {
@@ -1287,5 +1277,5 @@
           // rpcPic is a picture that preceded the leading in decoding order since it exist in the DPB
           // rpcPic would violate the constraint if it was a trailing picture
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
           if( usePocBeforeReset )
           {
@@ -3847,5 +3837,5 @@
 }
 #endif
-#if POC_RESET_IDC_ENCODER
+
 Void TComSlice::decrementRefPocValues(Int const decrementValue)
 {
@@ -3878,5 +3868,4 @@
   }
 }
-#endif
 
 Void TComSlice::setRefPicListModificationSvc()
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1209)
@@ -1895,7 +1895,4 @@
   Int         m_iLastIDR;
   Int         m_iAssociatedIRAP;
-#if POC_RESET_IDC_ENCODER
-  Int         m_associatedIrapPocBeforeReset;
-#endif
   NalUnitType m_iAssociatedIRAPType;
   static Int  m_prevTid0POC;
@@ -1985,4 +1982,5 @@
 
 #if SVC_EXTENSION
+  Int         m_associatedIrapPocBeforeReset;
   Bool        m_firstSliceInPic;
   Bool        m_availableForTMVPRefFlag;
@@ -2012,10 +2010,6 @@
   Bool        m_pocMsbValNeeded;
   Int         m_pocResetDeltaPoc;
-#if POC_RESET_IDC_ENCODER
   Int         m_pocValueBeforeReset;
-#endif
-#if POC_RESET_IDC_DECODER || POC_RESET_IDC_ENCODER
   Int         m_picOrderCntLsb;
-#endif
 #if Q0048_CGS_3D_ASYMLUT
   Int        m_nCGSOverWritePPS;  // for optimization, not output to bitstream
@@ -2137,8 +2131,6 @@
   Void      setPrevTid0POC( Int x ) { m_prevTid0POC = x; }
 #endif
-#if POC_RESET_IDC_ENCODER
   Void      setAssociatedIrapPocBeforeReset(Int x) { m_associatedIrapPocBeforeReset = x; }
   Int       getAssociatedIrapPocBeforeReset(     ) { return m_associatedIrapPocBeforeReset; }
-#endif
 
   Void      setRefPicList       ( TComList<TComPic*>& rcListPic, Bool checkNumPocTotalCurr = false, TComPic** ilpPic = NULL );
@@ -2185,5 +2177,5 @@
   Void setTLayerInfo( UInt uiTLayer );
   Void decodingMarking( TComList<TComPic*>& rcListPic, Int iGOPSIze, Int& iMaxRefPicNum );
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
   Void checkLeadingPictureRestrictions(TComList<TComPic*>& rcListPic, Bool usePocBeforeReset = false);
 #else
@@ -2372,15 +2364,12 @@
   Bool      getRadlPicFlag      ();
 #endif
-#if POC_RESET_IDC_DECODER || POC_RESET_IDC_ENCODER
   Int       getPicOrderCntLsb() { return m_picOrderCntLsb; }
   Void      setPicOrderCntLsb(Int x) { m_picOrderCntLsb = x; }
-#endif
-
-#if POC_RESET_IDC_ENCODER
+
   Int       getPocValueBeforeReset ()                        { return m_pocValueBeforeReset; }
   Void      setPocValueBeforeReset (Int x)                   { m_pocValueBeforeReset = x ;   }
   Void      decrementRefPocValues(Int const decrementValue);
   Int       getCurrMsb( Int currLsb, Int prevLsb, Int prevMsb, Int maxLsbVal );
-#endif
+
   Int       getReferenceLayerIdc( UInt refLayerId );
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1209)
@@ -69,5 +69,4 @@
 #define POC_RESET_IDC                    1      ///< JCTVC-P0041: Include poc_reset_idc and related derivation
 #if POC_RESET_IDC
-#define POC_RESET_IDC_ENCODER            1      ///< JCTVC-P0041: Include support of enabling POC reset at the encoder
 #define POC_RESET_IDC_DECODER            1      ///< JCTVC-P0041: Include support of enabling POC reset at the decoder
 #endif
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1209)
@@ -985,5 +985,5 @@
 #endif
     {
-#if SVC_EXTENSION && POC_RESET_IDC_ENCODER
+#if SVC_POC
       Int picOrderCntLSB;
       if( pcSlice->getPocResetIdc() == 2 )  // i.e. the LSB is reset
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1209)
@@ -109,9 +109,7 @@
   m_associatedIRAPType = NAL_UNIT_CODED_SLICE_IDR_N_LP;
   m_associatedIRAPPOC  = 0;
-#if POC_RESET_IDC_ENCODER
+#if SVC_EXTENSION
   m_pocCraWithoutReset = 0;
   m_associatedIrapPocBeforeReset = 0;
-#endif
-#if SVC_EXTENSION
   m_pcPredSearch        = NULL;
 #if Q0048_CGS_3D_ASYMLUT
@@ -119,7 +117,5 @@
   m_pColorMappedPic = NULL;
 #endif
-#if POC_RESET_IDC_ENCODER
   m_lastPocPeriodId = -1;
-#endif
   m_noRaslOutputFlag = false;
   m_prevPicHasEos    = false;
@@ -1141,5 +1137,5 @@
 
 #if SVC_EXTENSION
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
     pcSlice->setPocValueBeforeReset( pocCurr );
     // Check if the current picture is to be assigned as a reset picture
@@ -1148,11 +1144,11 @@
     Bool pocResettingFlag = false;
 
-    if (pcSlice->getPocResetIdc() != 0)
-    {
-      if (pcSlice->getVPS()->getVpsPocLsbAlignedFlag())
+    if( pcSlice->getPocResetIdc() != 0 )
+    {
+      if( pcSlice->getVPS()->getVpsPocLsbAlignedFlag() )
       {
         pocResettingFlag = true;
       }
-      else if (m_pcEncTop->getPocDecrementedInDPBFlag())
+      else if( m_pcEncTop->getPocDecrementedInDPBFlag() )
       {
         pocResettingFlag = false;
@@ -1176,9 +1172,7 @@
         m_pcEncTop->setPocAdjustmentValue( pocCurr );
       }
-      // else
-      {
-        // Just subtract POC by the current cumulative POC delta
-        pcSlice->setPOC( pocCurr - m_pcEncTop->getPocAdjustmentValue() );
-      }
+
+      // Just subtract POC by the current cumulative POC delta
+      pcSlice->setPOC( pocCurr - m_pcEncTop->getPocAdjustmentValue() );
 
       Int maxPocLsb = 1 << pcSlice->getSPS()->getBitsForPOC();
@@ -1186,5 +1180,4 @@
     }
     // Update the POC of current picture, pictures in the DPB, including references inside the reference pictures
-
 #endif
 
@@ -1530,5 +1523,5 @@
     {
       m_associatedIRAPType = pcSlice->getNalUnitType();
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
       m_associatedIRAPPOC = pcSlice->getPOC();
       m_associatedIrapPocBeforeReset = pocCurr;
@@ -1539,5 +1532,5 @@
     pcSlice->setAssociatedIRAPType(m_associatedIRAPType);
     pcSlice->setAssociatedIRAPPOC(m_associatedIRAPPOC);
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
     pcSlice->setAssociatedIrapPocBeforeReset(m_associatedIrapPocBeforeReset);
 #endif
@@ -1549,5 +1542,5 @@
     pcSlice->decodingRefreshMarking(m_pocCRA, m_bRefreshPending, rcListPic);
 #endif
-#if POC_RESET_IDC_ENCODER
+#if SVC_POC
     // m_pocCRA may have been update here; update m_pocCraWithoutReset
     m_pocCraWithoutReset = m_pocCRA + m_pcEncTop->getPocAdjustmentValue();
@@ -1586,9 +1579,5 @@
 #endif
 #if ALIGNED_BUMPING
-#if POC_RESET_IDC_ENCODER
     pcSlice->checkLeadingPictureRestrictions(rcListPic, true);
-#else
-    pcSlice->checkLeadingPictureRestrictions(rcListPic);
-#endif
 #endif
     pcSlice->applyReferencePictureSet(rcListPic, pcSlice->getRPS());
@@ -1781,13 +1770,10 @@
     if( m_layerId > 0 && pcSlice->getActiveNumILRRefIdx() )
     {
-#if POC_RESET_IDC_ENCODER
-      if ( pocCurr > 0 && pcSlice->isRADL() && pcPic->getSlice(0)->getBaseColPic(pcPic->getSlice(0)->getInterLayerPredLayerIdc(0))->getSlice(0)->isRASL())
-#else
-      if (pcSlice->getPOC()>0  && pcSlice->isRADL() && pcPic->getSlice(0)->getBaseColPic(pcPic->getSlice(0)->getInterLayerPredLayerIdc(0))->getSlice(0)->isRASL())
-#endif
+      if( pocCurr > 0 && pcSlice->isRADL() && pcPic->getSlice(0)->getBaseColPic(pcPic->getSlice(0)->getInterLayerPredLayerIdc(0))->getSlice(0)->isRASL() )
       {
         pcSlice->setActiveNumILRRefIdx(0);
         pcSlice->setInterLayerPredEnabledFlag(0);
       }
+
       if( pcSlice->getNalUnitType() >= NAL_UNIT_CODED_SLICE_BLA_W_LP && pcSlice->getNalUnitType() <= NAL_UNIT_CODED_SLICE_CRA )
       {
@@ -2184,5 +2170,5 @@
 
       Int sliceQP = m_pcCfg->getInitialQP();
-#if POC_RESET_IDC_ENCODER
+#if SVC_EXTENSION
       if ( ( pocCurr == 0 && m_pcCfg->getInitialQP() > 0 ) || ( frameLevel == 0 && m_pcCfg->getForceIntraQP() ) ) // QP is specified
 #else
@@ -2588,5 +2574,5 @@
       }
       pictureTimingSEI.m_auCpbRemovalDelay = std::min<Int>(std::max<Int>(1, m_totalCoded - m_lastBPSEI), static_cast<Int>(pow(2, static_cast<Double>(pcSlice->getSPS()->getVuiParameters()->getHrdParameters()->getCpbRemovalDelayLengthMinus1()+1)))); // Syntax element signalled as minus, hence the .
-#if POC_RESET_IDC_ENCODER
+#if SVC_EXTENSION
       pictureTimingSEI.m_picDpbOutputDelay = pcSlice->getSPS()->getNumReorderPics(pcSlice->getSPS()->getMaxTLayers()-1) + pocCurr - m_totalCoded;
 #else
@@ -2736,5 +2722,5 @@
       SEIRecoveryPoint sei_recovery_point;
       sei_recovery_point.m_recoveryPocCnt    = 0;
-#if POC_RESET_IDC_ENCODER
+#if SVC_EXTENSION
       sei_recovery_point.m_exactMatchingFlag = ( pocCurr == 0 ) ? (true) : (false);
 #else
@@ -3851,5 +3837,4 @@
       if( pcSlice->getRefPic(RefPicList(iRefList), iRefIndex)->isILR(m_layerId) )
       {
-#if POC_RESET_IDC_ENCODER
         UInt refLayerId = pcSlice->getRefPic(RefPicList(iRefList), iRefIndex)->getLayerId();
         UInt refLayerIdc = pcSlice->getReferenceLayerIdc(refLayerId);
@@ -3858,15 +3843,8 @@
 
         printf( "%d(%d, {%1.2f, %1.2f}x)", pcSlice->getRefPOC(RefPicList(iRefList), iRefIndex), refLayerId, 65536.0/g_posScalingFactor[refLayerIdc][0], 65536.0/g_posScalingFactor[refLayerIdc][1] );
-#else
-        printf( "%d(%d)", pcSlice->getRefPOC(RefPicList(iRefList), iRefIndex)-pcSlice->getLastIDR(), pcSlice->getRefPic(RefPicList(iRefList), iRefIndex)->getLayerId() );
-#endif
       }
       else
       {
-#if POC_RESET_IDC_ENCODER
         printf ("%d", pcSlice->getRefPOC(RefPicList(iRefList), iRefIndex));
-#else
-        printf ("%d", pcSlice->getRefPOC(RefPicList(iRefList), iRefIndex)-pcSlice->getLastIDR());
-#endif
       }
 
@@ -4023,6 +4001,6 @@
   }
 
-#if POC_RESET_IDC_ENCODER
-  if(m_pocCraWithoutReset > 0 && this->m_associatedIRAPType == NAL_UNIT_CODED_SLICE_CRA)
+#if SVC_POC
+  if( m_pocCraWithoutReset > 0 && m_associatedIRAPType == NAL_UNIT_CODED_SLICE_CRA )
   {
     if(pocCurr < m_pocCraWithoutReset)
@@ -4624,5 +4602,4 @@
 #endif
 
-#if POC_RESET_IDC_ENCODER
 Void TEncGOP::determinePocResetIdc(Int const pocCurr, TComSlice *const slice)
 {
@@ -4895,5 +4872,4 @@
   }
 }
-#endif
 
 #if O0164_MULTI_LAYER_HRD
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 1209)
@@ -148,9 +148,7 @@
   Bool                    m_nestedPictureTimingSEIPresentInAU;
 
-#if POC_RESET_IDC_ENCODER
+#if SVC_EXTENSION
   Int                     m_pocCraWithoutReset;
   Int                     m_associatedIrapPocBeforeReset;
-#endif
-#if SVC_EXTENSION
   UInt                    m_layerId;      
   TEncTop**               m_ppcTEncTop;
@@ -172,7 +170,5 @@
   Int   **m_temp;
 #endif
-#if POC_RESET_IDC_ENCODER
   Int   m_lastPocPeriodId;
-#endif
   Bool  m_noRaslOutputFlag;
   Bool  m_prevPicHasEos;
@@ -214,5 +210,5 @@
   Void arrangeLongtermPicturesInRPS(TComSlice *, TComList<TComPic*>& );
 
-#if POC_RESET_IDC_ENCODER
+#if SVC_EXTENSION
   Void  determinePocResetIdc( Int const pocCurr, TComSlice *const slice);
   Int   getIntraRefreshInterval()  { return m_pcCfg->getIntraPeriod(); }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1209)
@@ -85,7 +85,5 @@
 #endif
   m_numRefLayerLocationOffsets = 0;
-#if POC_RESET_IDC_ENCODER
   m_pocAdjustmentValue     = 0;
-#endif
 #if NO_CLRAS_OUTPUT_FLAG
   m_noClrasOutputFlag          = false;
@@ -1046,9 +1044,7 @@
   m_cPPS.setCGSFlag( m_nCGSFlag );
 #endif
-#if POC_RESET_IDC_ENCODER
   m_cPPS.setPocResetInfoPresentFlag( true );
   m_cPPS.setExtensionFlag( true );
   m_cPPS.setSliceHeaderExtensionPresentFlag( true );
-#endif
 #endif //SVC_EXTENSION
 }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 1208)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 1209)
@@ -135,7 +135,5 @@
   Int                     m_phaseVerChroma[MAX_LAYERS];
   Int                     m_resamplePhaseSetPresentFlag[MAX_LAYERS];
-#if POC_RESET_IDC_ENCODER
   Int                     m_pocAdjustmentValue;
-#endif
 #if NO_CLRAS_OUTPUT_FLAG
   Bool                    m_noClrasOutputFlag;
@@ -249,24 +247,22 @@
   TEncTop*  getRefLayerEnc(UInt refLayerIdx);
 
-#if POC_RESET_IDC_ENCODER
-  Int       getPocAdjustmentValue()      { return m_pocAdjustmentValue;}
-  Void      setPocAdjustmentValue(Int x) { m_pocAdjustmentValue = x;   }
-#endif
+  Int       getPocAdjustmentValue()                           { return m_pocAdjustmentValue;}
+  Void      setPocAdjustmentValue(Int x)                      { m_pocAdjustmentValue = x;   }
 #if NO_CLRAS_OUTPUT_FLAG
-  Int       getNoClrasOutputFlag()                { return m_noClrasOutputFlag;}
-  Void      setNoClrasOutputFlag(Bool x)          { m_noClrasOutputFlag = x;   }
-  Int       getLayerInitializedFlag()             { return m_layerInitializedFlag;}
-  Void      setLayerInitializedFlag(Bool x)       { m_layerInitializedFlag = x;   }
-  Int       getFirstPicInLayerDecodedFlag()       { return m_firstPicInLayerDecodedFlag;}
-  Void      setFirstPicInLayerDecodedFlag(Bool x) { m_firstPicInLayerDecodedFlag = x;   }
-  Int       getNoOutputOfPriorPicsFlags()         { return m_noOutputOfPriorPicsFlags;}
-  Void      setNoOutputOfPriorPicsFlags(Bool x)   { m_noOutputOfPriorPicsFlags = x;   }
-#endif
-  Void      setNumAddLayerSets(Int x)             { m_numAddLayerSets = x; }
-  Int       getNumAddLayerSets()                  { return m_numAddLayerSets; }
-  Void      setPocDecrementedInDPBFlag(Bool x)    { m_pocDecrementedInDPBFlag = x; }
-  Bool      getPocDecrementedInDPBFlag()          { return m_pocDecrementedInDPBFlag; }
-  Void      setCurrPocMsb(Int poc)                { m_currPocMsb = poc; }
-  Int       getCurrPocMsb()                       { return m_currPocMsb; }
+  Int       getNoClrasOutputFlag()                            { return m_noClrasOutputFlag;}
+  Void      setNoClrasOutputFlag(Bool x)                      { m_noClrasOutputFlag = x;   }
+  Int       getLayerInitializedFlag()                         { return m_layerInitializedFlag;}
+  Void      setLayerInitializedFlag(Bool x)                   { m_layerInitializedFlag = x;   }
+  Int       getFirstPicInLayerDecodedFlag()                   { return m_firstPicInLayerDecodedFlag;}
+  Void      setFirstPicInLayerDecodedFlag(Bool x)             { m_firstPicInLayerDecodedFlag = x;   }
+  Int       getNoOutputOfPriorPicsFlags()                     { return m_noOutputOfPriorPicsFlags;}
+  Void      setNoOutputOfPriorPicsFlags(Bool x)               { m_noOutputOfPriorPicsFlags = x;   }
+#endif
+  Void      setNumAddLayerSets(Int x)                         { m_numAddLayerSets = x;    }
+  Int       getNumAddLayerSets()                              { return m_numAddLayerSets; }
+  Void      setPocDecrementedInDPBFlag(Bool x)                { m_pocDecrementedInDPBFlag = x;    }
+  Bool      getPocDecrementedInDPBFlag()                      { return m_pocDecrementedInDPBFlag; }
+  Void      setCurrPocMsb(Int poc)                            { m_currPocMsb = poc;  }
+  Int       getCurrPocMsb()                                   { return m_currPocMsb; }
 #else //SVC_EXTENSION
   Void encode( Bool bEos,